stages:
    - build
    - analyze
build the app:
    stage: build
    script:
        - xcodebuild clean -project GitlabTest.xcodeproj -scheme GitlabTest -allowProvisioningUpdates | xcpretty
        - xcodebuild test -project GitlabTest.xcodeproj -scheme GitlabTest -destination 'platform=iOS Simulator,name=iPhone 14 Pro Max,OS=16.4' -enableCodeCoverage YES -allowProvisioningUpdates  | xcpretty -s
    tags:
      - ios

test the app:
    stage: analyze
    image:
      name: sonarsource/sonar-scanner-cli:latest
      entrypoint: [""]
    variables:
      SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
      GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task
    cache:
      key: "${CI_JOB_NAME}"
      paths:
        - .sonar/cache
    script:
      - sonar-scanner -Dsonar.projectKey=GitlabTest -Dsonar.sources=.-Dsonar.host.url=http://localhost:9000 -Dsonar.login=sqp_61c5dd749ed61390788a54e0450d38dead0152b3
    allow_failure: true
    tags:
      - ios
